> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Get Matching Detail

GET https://api.staple.io/v1/matching/tuples/{tupleId}

Get matching collections

Reference: https://docs.staple.ai/api-reference/v1/matching/get-matching-detail

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /v1/matching/tuples/{tupleId}:
    get:
      operationId: getMatchingDetail
      summary: Get Matching Detail
      description: Get matching collections
      tags:
        - matching
      parameters:
        - name: tupleId
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Matching_getMatchingDetail_Response_200'
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    Matching_getMatchingDetail_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Matching_getMatchingDetail_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples



**Response**

```json
{
  "getMatchingDocumentTupleComparisonsAndDocuments": {
    "comparisonTuples": [
      {
        "createdAt": 1714146366169,
        "documentTupleId": 1541,
        "elements": [
          {
            "createdAt": 1714146366169,
            "documentFieldComparisonTupleId": 6318,
            "documentTupleElementId": 4466,
            "id": 13829,
            "name": "",
            "ruleTupleElementId": 5243,
            "uid": 1,
            "updatedAt": 1714146366169,
            "value": null,
            "valuemulti": null
          },
          {
            "createdAt": 1714146366169,
            "documentFieldComparisonTupleId": 6318,
            "documentTupleElementId": 4467,
            "id": 13830,
            "name": "",
            "ruleTupleElementId": 5243,
            "uid": 1,
            "updatedAt": 1714146366169,
            "value": null,
            "valuemulti": null
          },
          {
            "createdAt": 1714146366169,
            "documentFieldComparisonTupleId": 6318,
            "documentTupleElementId": 4468,
            "id": 13831,
            "name": "",
            "ruleTupleElementId": 5242,
            "uid": 1,
            "updatedAt": 1714146366169,
            "value": null,
            "valuemulti": null
          }
        ],
        "id": 6318,
        "isMatch": true,
        "ruleTupleId": 2607,
        "uid": 1,
        "updatedAt": 1714146366169
      }
    ],
    "documents": [
      {
        "createdAt": 1714146366169,
        "documentId": 86,
        "documentName": "16952ab0-ec1e-11ea-a538-8f79995a0d7e-5-(1).jpg",
        "documentTupleId": 1541,
        "id": 4466,
        "queueId": 3,
        "status": "CREATED",
        "uid": 1,
        "updatedAt": 1714146366169
      },
      {
        "createdAt": 1714146366169,
        "documentId": 5719,
        "documentName": "botan.jpg",
        "documentTupleId": 1541,
        "id": 4467,
        "queueId": 3,
        "status": "CREATED",
        "uid": 1,
        "updatedAt": 1714146366169
      },
      {
        "createdAt": 1714146366169,
        "documentId": 25835,
        "documentName": "invoice.pdf",
        "documentTupleId": 1541,
        "id": 4468,
        "queueId": 1,
        "status": "CREATED",
        "uid": 1,
        "updatedAt": 1714146366169
      }
    ]
  }
}
```

**SDK Code**

```python Get Matching Detail
import requests

url = "https://api.staple.io/v1/matching/tuples/tupleId"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Get Matching Detail
const url = 'https://api.staple.io/v1/matching/tuples/tupleId';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get Matching Detail
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/matching/tuples/tupleId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get Matching Detail
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/matching/tuples/tupleId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Get Matching Detail
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.staple.io/v1/matching/tuples/tupleId")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Get Matching Detail
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.staple.io/v1/matching/tuples/tupleId', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Get Matching Detail
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/matching/tuples/tupleId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Get Matching Detail
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/matching/tuples/tupleId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```